<?php

defined('_MAILING') or die('Restricted access');

?>
<div class="modal fade" id="recipientDelete" tabindex="-1" role="dialog" aria-labelledby="recipienDeleteLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="recipienDeleteLabel"><?php echo DELETING; ?></h4>
            </div>
            <form action="index.php?manage=recipient&data=modify&action=delete" method="post">
                <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                <div class="modal-body">
                    <input type="hidden" name="recipientid" class="recipientid" value="">
                    <div class="form-group">
                        <label for="recipientname" class="control-label"><?php echo DELETING_CONFIRM_QUESTION; ?></label>
                        <input type="text" class="form-control recipientname" disabled>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo CANCEL;?></button>
                    <button type="submit" class="btn btn-danger"><?php echo DELETE;?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="page-title">
    <div class="title_left">
        <h3><?php echo EMAIL_ADRESSES;?> <small>(<?php echo RECIPIENT_LIST;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo RECIPIENT_DB;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <table class="table table-striped responsive-utilities jambo_table" id="recipients">
                    <thead>
                        <tr><th>id</th><th><?php echo PERSON; ?></th><th><?php echo EMAIL;?></th><th><?php echo TAGS;?></th><th><?php echo RECIPIENT_DESCRIPTION;?></th><th></th></tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
            <a href="index.php?manage=recipient&action=add" class="btn btn-primary"><?php echo MENU_ADD_RECIPIENT;?></a>
        </div>
    </div>
</div>

<script src="libs/datatable/dataTables-1.10.7.js"></script>
<script>
    $(document).ready(function() {
    
        // modal element
        $('#recipientDelete').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var recipientname = button.data('recipientname');
            var recipientid = button.data('recipientid');
            var recipientemail = button.data('recipientemail');
            var modal = $(this);
            modal.find('.recipientname').val(recipientname + ', (' + recipientemail + ')');
            modal.find('.recipientid').val(recipientid);
        });
            
        $.fn.dataTableExt.oStdClasses.sPageButton = "btn btn-default";
        $('.site_title i').addClass('fa-spin');
        var oTable = $('#recipients').DataTable({
            stateSave: true,
            language: dataTableTranslation,
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": "index.php?manage=recipient&data=modify&action=getlist",
                "type": "POST",
                "data":{
                     "csrf_token": "<?php echo $app->getToken();?>"
                }, 
            },
            "columns": [
                { "data": "id" },
                { "data": "person" },
                { "data": "email" },
                { "data": "tag" },
                { "data": "comment" },
                { "data": "button" }
            ],
            "fnDrawCallback": function( oSettings ) {
              $('.site_title i').removeClass('fa-spin');
            }
            
        });
        
        $("div.dataTables_filter").append("<a id='mySearch' class='btn btn-primary btn-xs'>go</a>");
        $("div.dataTables_filter input").unbind();
        $("div.dataTables_filter input").on('keydown', function(e) {
            if (e.which == 13) {
                oTable.search( $("div.dataTables_filter input").val()).draw();
            }
        });
        $("#mySearch").on('click', function(e) {
                oTable.search( $("div.dataTables_filter input").val()).draw();
        });

    });
</script>
