<?php

defined('_MAILING') or die('Restricted access');

if (DEMO_MODE) {
    header("Location: index.php?manage=campaign&action=waiting");
    exit();
}

$app->checkToken();

/**
 * get new campaign data
 */
$name = $app->clearSQL($_POST['name']);
$search = $app->clearSQL($_POST['search']);
$id_template = (int)($_POST['id_template']);
$id_sender = (int)($_POST['id_sender']);
$recipient_qty = (int)($_POST['recipient_qty']);
$status = '0';


/**
 * insert new campaign to db
 */
$sql = "
    INSERT INTO m_campaign  (
        name, 
        recipient_qty,  
        id_template,  
        id_sender,
        status
    ) VALUES (
        :name,
        :recipient_qty,
        :id_template,
        :id_sender,
        :status
    )
";
$stmt = $db->prepare($sql);              
$stmt->bindParam(':name', $name, PDO::PARAM_STR);
$stmt->bindParam(':recipient_qty', $recipient_qty, PDO::PARAM_STR);
$stmt->bindParam(':id_template', $id_template, PDO::PARAM_STR);
$stmt->bindParam(':id_sender', $id_sender, PDO::PARAM_STR);
$stmt->bindParam(':status', $status, PDO::PARAM_STR);
$stmt->execute(); 


/**
 * get id of inserted campaign
 */
$id_campaign = $db->lastInsertId();


/**
 * prepare filter for sql for recipients id based on posted search field
 */
if ($search != '') {
    $filtr = '';
    $fraza_array = explode(" ", $search);
    foreach ($fraza_array as $val) {
        $filtr .= " AND (person LIKE '%".$val."%' OR email LIKE '%".$val."%' OR comment LIKE '%".$val."%' OR tag LIKE '%".$val."%') ";
    }
} else {
    $filtr = "";
}

/**
 * get all selected recipients id
 */
$sql = "
    SELECT id FROM (
        SELECT
            r.id,
            r.person,
            r.email,
            r.comment,
            (
                SELECT group_concat(rt.name SEPARATOR ', ') AS tags 
                FROM m_recipient_tag_conn AS rc 
                LEFT JOIN m_recipient_tag AS rt ON(rc.id_tag=rt.id)
                WHERE r.id=rc.id_recipient
            ) AS tag
        FROM m_recipient AS r
    ) as a
    WHERE 1 ".$filtr."
";
$result = $db->query($sql);

/**
 * prepare campaign connections
 */
foreach ($result as $row) {
    
    $sql = "
        INSERT INTO m_campaign_rec_conn (
            id_campaign,
            id_recipient
        ) VALUES (
            :id_campaign,
            :id_recipient
        )
    ";
    $stmt = $db->prepare($sql);              
    $stmt->bindParam(':id_campaign', $id_campaign, PDO::PARAM_STR);    
    $stmt->bindParam(':id_recipient', $row['id'], PDO::PARAM_STR);
    $stmt->execute(); 
}

header("Location: index.php?manage=campaign&action=waiting");
