<?php

defined('_MAILING') or die('Restricted access');

if (DEMO_MODE) {
    echo "ok";
    exit();
}


// check security
$app->checkToken();


// get main data
$id_campaign = (int)($_POST['id_campaign']);


// just in case
if ($id_campaign == 0) {
    die("Access denied");
}

// update flag
$update = true;


// get first available id_recipient
$stmt = $db->prepare(" select id_recipient from m_campaign_rec_conn where id_campaign = '".$id_campaign."' and status = '0' LIMIT 1");
$stmt->execute();
$row = $stmt->fetchAll();
$id_recipient = isset($row[0]['id_recipient']) ? (int)($row[0]['id_recipient']) : 0 ;
if ($id_recipient == 0) {
    echo "stop";
    exit();
}


// get campaign data
$stmt = $db->query(" SELECT * from m_campaign WHERE id = '".$id_campaign."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$id_template = $row[0]['id_template'];
$id_sender   = $row[0]['id_sender'];
$campaign_name = $row[0]['name'];


// get recipient data
$stmt = $db->query(" SELECT * from m_recipient WHERE id = '".$id_recipient."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$recipient_name = $row[0]['person'];
$recipient_email = $row[0]['email'];
$recipient_txt_only = (int)$row[0]['txt_only'];
$recipient_description = $row[0]['comment'];


// protection against direct inputed emails to DB without any validation using third part of SQL
$recipient_email = filter_var($recipient_email, FILTER_SANITIZE_EMAIL);
if (filter_var($recipient_email, FILTER_VALIDATE_EMAIL) === false) {
    // update campaign recipient connection data set status no 4 - email validation error
    $sql = "
        UPDATE m_campaign_rec_conn SET
            date_sent = '".date("Y-m-d H:i:s", time())."',
            status = '4'
        WHERE 1
            and id_campaign = :id_campaign
            and id_recipient = :id_recipient
    ";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_INT);
    $stmt->execute();
    // add notification to recipient comment
    $sql = "
        UPDATE m_recipient SET
            comment = CONCAT(comment, ' NOT_VALID')
        WHERE 1
            and id = :id_recipient
    ";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_INT);
    $stmt->execute();
    echo 'Error: '.$recipient_email.' is not valid';
    exit();
}


// get template data
$stmt = $db->query(" SELECT * from m_template WHERE id = '".$id_template."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$email_subject = $row[0]['subject'];
$email_content_html	= $row[0]['content_html'];
$email_content_txt	= $row[0]['content_txt'];


// get sender data
$stmt = $db->query(" SELECT * from m_sender WHERE id= '".$id_sender."' ");
$stmt->execute();
$row = $stmt->fetchAll();
$sender_name = $row[0]['name'];
$sender_email = $row[0]['email'];


// get template attachments
$filenames = Array();
$dir = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['SCRIPT_NAME']).'/uploads/';
$files = $db->query("
    SELECT 
        filename
    from 
        m_template_att_conn as tac 
        left join m_template_att as ta on(ta.id = tac.id_att)
    WHERE 
        tac.id_template = '".$id_template."' 
");
foreach ($files as $file) {
    if (file_exists($dir.$file['filename'])) {
        array_push($filenames, $file['filename']);
    }
}


// set up email tracker
if ((int)(Settings::$enableTracking)) {
    $tracker_script = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'].'?manage=campaign&adata=modify&action=track&c='.$id_campaign.'&r='.$id_recipient;
    $email_tracker = '<img src="'.$tracker_script.'" width="0" height="0">';
}else{
    $email_tracker = '';
}


// set up click link
$click_link = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'].'?manage=campaign&adata=modify&action=click&c='.$id_campaign.'&r='.$id_recipient.'&link=';
$email_content_html = str_replace('href="', 'href="'.$click_link, $email_content_html);

// set up unsubscribe link
$unsubscribe_link = 'index.php?manage=campaign&adata=modify&action=unsubscribe&c='.$id_campaign.'&r='.$id_recipient;

// set up browser view link
$browserview_link = 'index.php?manage=campaign&adata=modify&action=browserview&c='.$id_campaign.'&r='.$id_recipient;

// prepare email content
$subject = str_replace('{RECIPIENT_NAME}', $recipient_name, $email_subject);
//html version
$message_html = str_replace('{RECIPIENT_NAME}', $recipient_name, $email_content_html);
$message_html = str_replace('{RECIPIENT_EMAIL}', $recipient_email, $message_html);
$message_html = str_replace('{RECIPIENT_DESCRIPTION}', $recipient_description, $message_html);
$message_html = str_replace('{UNSUBSCRIBE}', $unsubscribe_link, $message_html);
$message_html = str_replace('{BROWSER_VIEW}', $browserview_link, $message_html);
$message_html = str_replace('{CAMPAIGN_NAME}', $campaign_name, $message_html);
$message_html = str_replace('{SENDER_NAME}', $sender_name, $message_html);
$message_html = str_replace('{SENDER_EMAIL}', $sender_email, $message_html);
$message_html = str_replace('{CURRENT_YEAR}', date("Y"), $message_html);
$message_html = str_replace('{CURRENT_MONTH}', date("m"), $message_html);
$message_html = str_replace('{CURRENT_DAY}', date("d"), $message_html);
//txt version
$message_txt = str_replace('{RECIPIENT_NAME}', $recipient_name, $email_content_txt);
$message_txt = str_replace('{RECIPIENT_EMAIL}', $recipient_email, $message_txt);
$message_txt = str_replace('{RECIPIENT_DESCRIPTION}', $recipient_description, $message_txt);
$message_txt = str_replace('{UNSUBSCRIBE}', $unsubscribe_link, $message_txt);
$message_txt = str_replace('{CAMPAIGN_NAME}', $campaign_name, $message_txt);
$message_txt = str_replace('{SENDER_NAME}', $sender_name, $message_txt);
$message_txt = str_replace('{SENDER_EMAIL}', $sender_email, $message_txt);
$message_txt = str_replace('{CURRENT_YEAR}', date("Y"), $message_txt);
$message_txt = str_replace('{CURRENT_MONTH}', date("m"), $message_txt);
$message_txt = str_replace('{CURRENT_DAY}', date("d"), $message_txt);

$num = md5(time());


// Is the OS Windows or Mac or Linux
if (strtoupper(substr(PHP_OS,0,3)=='WIN')) {
    $eol="\r\n";
} elseif ( strtoupper(substr(PHP_OS,0,3)=='MAC')) {
    $eol="\r";
} else {
    $eol="\n";
}


// use PHP mail native
if (! (int)(Settings::$useSMTP)) {
    
    // Define the main headers.
    $header = "From: ".$sender_name." <".$sender_email.">".$eol;
    $header .= "MIME-Version: 1.0".$eol;
    $header .= "Content-Type: multipart/mixed; ";
    $header .= "boundary=$num".$eol;
    $header .= "--$num".$eol;

    if (!$recipient_txt_only) {
        // Define the message html section
        $header .= "Content-type:text/html;charset=UTF-8".$eol;
        $header .= "Content-Transfer-Encoding:8bit".$eol.$eol;
        $header .= "<!DOCTYPE html><html><head><title></title></head><body>".$message_html.$email_tracker."</body>".$eol;
        $header .= "--$num".$eol;
    } else {
        // Define the message txt section
        $header .= "Content-type:text/plain;charset=UTF-8".$eol;
        $header .= "Content-Transfer-Encoding:8bit".$eol.$eol;
        $header .= $message_txt.$eol;
        $header .= "--$num".$eol;
    }

    // attachments
    foreach ($filenames as $file) {
        $header .= "Content-Type: application/octet-stream; name=\"".$file."\"".$eol;
        $header .= "Content-ID: <".$file.">".$eol;
        $header .= "Content-Transfer-Encoding: base64".$eol;
        $header .= "Content-Disposition: attachment; filename=\"".$file."\"".$eol.$eol;
        $header .= chunk_split(base64_encode(file_get_contents($dir.$file))).$eol.$eol;
        $header .= "--$num".$eol;
    }

    $header .= "--$num--";

    // Send email now
    if (mail($recipient_email, $subject, "", $header)){
        echo "ok";
    } else {
        $update = false;
    }
}


// use SMTP server
if ((int)(Settings::$useSMTP)) {
    
    // get SMTP server id
    $smtpid = (int)($_POST['smtpid']);
    
    $stmt = $db->prepare(" select * from m_smtp where id=? ");
    $stmt->bindParam(1, $smtpid, PDO::PARAM_INT);
    $stmt->execute();
    $row = $stmt->fetchAll();
    @$data = $row[0];

    $host = $data['host'];
    $smtpauth = $data['smtpauth'] == '1' ? true : false ;
    $forcesmtp = $data['forcesmtp'] == '1' ? true : false ;
    $verifypeer = $data['verifypeer'] == '1' ? true : false ;
    $username = $data['username'];
    $login = $data['login'];
    $password = $data['password'];
    $replytomail = $data['replytomail'];
    $replytoname = $data['replytoname'];
    $smtpsecure = $data['smtpsecure'];
    $port = $data['port'];
    $maxlimit = $data['maxlimit'];
    
    require 'php/PHPMailerAutoload.php';

    $mail = new PHPMailer;
    $mail->CharSet = "UTF-8";
    //$mail->SMTPDebug = 3;
    if (!$verifypeer) {
        $mail->SMTPOptions = array(
            'ssl' => array(
                'verify_peer' => false,
                'verify_peer_name' => false,
                'allow_self_signed' => true
            )
        );
    }
    if ($forcesmtp) {
        $mail->isSMTP();
    }
    $mail->Host = $host;
    $mail->Port = $port;
    $mail->SMTPAuth = $smtpauth;
    $mail->Username = $login;
    $mail->Password = $password;
    
    $mail->SMTPSecure = $smtpsecure;
    $mail->setFrom($username); // bounce to
    
    $mail->ClearReplyTos();
    $mail->AddReplyTo($replytomail, $replytoname);
    $mail->From = $sender_email;
    $mail->FromName = $sender_name;
    $mail->addAddress($recipient_email);
    
    // attachments
    foreach ($filenames as $file) {
        $mail->addAttachment($dir.$file, $file);
        //$mail->AddEmbeddedImage($dir.$file, $file);
    }

    $mail->isHTML(true);
    $mail->Subject = $subject;
    $mail->Body    = "<!DOCTYPE html><html><head><title></title></head><body>".stripslashes($message_html).$email_tracker."</body>";
    $mail->AltBody = $message_txt;

    if (! $mail->send()) {
        echo 'Error: ' . $mail->ErrorInfo;
        $update = false;
    } else {
        echo "ok";
    }

}



// if no errors and email was send
if ($update){
    
    // update campaign data
    $sql = "
        UPDATE m_campaign SET
            date_start = '".date("Y-m-d H:i:s", time())."',
            status = '1'
        WHERE id = :id
    ";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':id', $id_campaign, PDO::PARAM_INT);
    $stmt->execute();


    // update campaign recipient connection data
    $sql = "
        UPDATE m_campaign_rec_conn SET
            date_sent = '".date("Y-m-d H:i:s", time())."',
            status = '1'
        WHERE 1
            and id_campaign = :id_campaign
            and id_recipient = :id_recipient
    ";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':id_campaign', $id_campaign, PDO::PARAM_INT);
    $stmt->bindParam(':id_recipient', $id_recipient, PDO::PARAM_INT);
    $stmt->execute();

}


