<?php

defined('_MAILING') or die('Restricted access');

$recipientmail = isset($_GET['m']) ? $_GET['m'] : '';
$recipientname = isset($_GET['n']) ? $_GET['n'] : '';
$recipientcomment = isset($_GET['c']) ? $_GET['c'] : '';
$tags = isset($_GET['t']) ? $_GET['t'] : 0 ;

$recipientmail = filter_var($recipientmail, FILTER_SANITIZE_EMAIL);
if (filter_var($recipientmail, FILTER_VALIDATE_EMAIL) === false) {
    die(Settings::$subscribeErrorMessage);
}

$recipientname = $app->clearSQL($recipientname);
$recipientcomment = $app->clearSQL($recipientcomment);
$tags = $app->clearSQL($tags);

$sql = "
    INSERT INTO m_recipient (
        person,
        email,
        comment
    ) VALUES (
        :recipientname,
        :recipientmail,
        :recipientcomment
    )
";
$stmt = $db->prepare($sql);
$stmt->bindParam(':recipientname', $recipientname, PDO::PARAM_STR);
$stmt->bindParam(':recipientmail', $recipientmail, PDO::PARAM_STR);
$stmt->bindParam(':recipientcomment', $recipientcomment, PDO::PARAM_STR);
$stmt->execute();

if ($tags != '') {
    $tags = $app->clearSQL($tags);
    $tags = explode(",", $tags);
    $id = $db->lastInsertId();
    foreach ($tags as $tag) {
        $stmt = $db->prepare(" select id from m_recipient_tag where name=? ");
        $stmt->bindParam(1, $tag, PDO::PARAM_INT);
        $stmt->execute();
        $row = $stmt->fetchAll();
        $data = $row[0];
        $id_tag = $data['id'];

        if ($id_tag) {
            $sql = "
                INSERT INTO m_recipient_tag_conn (
                    id_recipient,
                    id_tag
                ) VALUES (
                    :id_recipient,
                    :id_tag
                )
            ";
            $stmt = $db->prepare($sql);
            $stmt->bindParam(':id_recipient', $id, PDO::PARAM_STR);    
            $stmt->bindParam(':id_tag', $id_tag, PDO::PARAM_STR);
            $stmt->execute();
        }
    }
}

// notify admin if needed
if (Settings::$adminSubscribtionNotify == '1' && Settings::$adminMail != '')  {
    
    // in case of header double end of line problems when email is sending thru different servers
    if (strtoupper(substr(PHP_OS,0,3)=='WIN')) {
        $eol="\r\n";
    } elseif ( strtoupper(substr(PHP_OS,0,3)=='MAC')) {
        $eol="\r";
    } else {
        $eol="\n";
    }
    
    // Define the main headers.
    $header = "MIME-Version: 1.0".$eol;
    $header .= "Content-type: text/html; charset=UTF-8".$eol;
    $header .= "From: E-mailer system <".Settings::$subscribeEmailAddressFrom.">".$eol;
    $adminEmailMessage = base64_decode(Settings::$adminEmailMessage);
    $adminEmailMessage = str_replace('{SUBSCRIBER_EMAIL}', $recipientmail, $adminEmailMessage);
    $adminEmailMessage = str_replace('{SUBSCRIBER_NAME}', $recipientname, $adminEmailMessage);
    $adminEmailMessage = str_replace('{SUBSCRIBER_COMMENT}', $recipientcomment, $adminEmailMessage);
    $adminEmailMessage = str_replace('{SUBSCRIBER_TAGS}', $tags, $adminEmailMessage);
    $adminEmailMessage = str_replace('{CURRENT_YEAR}', date("Y"), $adminEmailMessage);
    $adminEmailMessage = str_replace('{CURRENT_MONTH}', date("m"), $adminEmailMessage);
    $adminEmailMessage = str_replace('{CURRENT_DAY}', date("d"), $adminEmailMessage);
    
    @mail(Settings::$adminMail, "E-mailer system", $adminEmailMessage, $header);
}


// redirect to url from params
    header("Location: ".Settings::$subscribeRedirectConfirmedTo);
    exit();


