<?php

defined('_MAILING') or die('Restricted access');

$recipientmail = isset($_POST['recipientmail']) ? $_POST['recipientmail'] : '';
$recipientname = isset($_POST['recipientname']) ? $_POST['recipientname'] : '';
$recipientcomment = isset($_POST['recipientcomment']) ? $_POST['recipientcomment'] : '';
$tags = isset($_POST['tags']) ? $_POST['tags'] : 0 ;
$redirectto = isset($_POST['redirectto']) ? $_POST['redirectto'] : '';
$dbloptin = isset($_POST['dbloptin']) ? $_POST['dbloptin'] : '';

$recipientmail = filter_var($recipientmail, FILTER_SANITIZE_EMAIL);
if (filter_var($recipientmail, FILTER_VALIDATE_EMAIL) === false) {
    die(Settings::$subscribeErrorMessage);
}

$recipientname = $app->clearSQL($recipientname);
$recipientcomment = $app->clearSQL($recipientcomment);

// in case of header double end of line problems when email is sending thru different servers
if (strtoupper(substr(PHP_OS,0,3)=='WIN')) {
    $eol="\r\n";
} elseif ( strtoupper(substr(PHP_OS,0,3)=='MAC')) {
    $eol="\r";
} else {
    $eol="\n";
}


if ($dbloptin == '1') {
    // when double opt-in option is enabled
    // send email to subscriber
    // with base64 decoded message
    $subscribeEmailMessage = base64_decode(Settings::$subscribeEmailMessage);
    $subscribeEmailTitle = Settings::$subscribeEmailTitle;
    $confirmationLink = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'].'?manage=campaign&adata=modify&action=subscribe.confirmed&m='.$recipientmail.'&n='.$recipientname.'&c='.$recipientcomment.'&t='.$tags;
    $subscribeEmailMessage = str_replace('{CONFIRM_LINK}', $confirmationLink, $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{SUBSCRIBER_EMAIL}', $recipientmail, $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{SUBSCRIBER_NAME}', $recipientname, $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{SUBSCRIBER_COMMENT}', $recipientcomment, $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{SUBSCRIBER_TAGS}', $tags, $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{CURRENT_YEAR}', date("Y"), $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{CURRENT_MONTH}', date("m"), $subscribeEmailMessage);
    $subscribeEmailMessage = str_replace('{CURRENT_DAY}', date("d"), $subscribeEmailMessage);

    // Define the main headers.
    $header = "MIME-Version: 1.0".$eol;
    $header .= "Content-type: text/html; charset=UTF-8".$eol;
    $header .= "From: ".Settings::$subscribeEmailDescriptionFrom." <".Settings::$subscribeEmailAddressFrom.">".$eol;

    
    
    // use SMTP if choosen and exists
    $id_SMTP = (int)Settings::$serverEmailSenderID;
    if (! $id_SMTP) {
        // PHP mail used
        @mail($recipientmail, $subscribeEmailTitle, $subscribeEmailMessage, $header);
    } else {
        // SMTP used
        // check if exists SMTP
        $stmt = $db->prepare(" select * from m_smtp where id=? ");
        $stmt->bindParam(1, $id_SMTP, PDO::PARAM_INT);
        $stmt->execute();
        $row = $stmt->fetchAll();
        $data = $row[0];
        if ((int)$data['id']){
            
            // SMTP exists
            $host = $data['host'];
            $smtpauth = $data['smtpauth'] == '1' ? true : false ;
            $forcesmtp = $data['forcesmtp'] == '1' ? true : false ;
            $verifypeer = $data['verifypeer'] == '1' ? true : false ;
            $username = $data['username'];
            $login = $data['login'];
            $password = $data['password'];
            $replytomail = $data['replytomail'];
            $replytoname = $data['replytoname'];
            $smtpsecure = $data['smtpsecure'];
            $port = $data['port'];
            $maxlimit = $data['maxlimit'];
            require 'php/PHPMailerAutoload.php';
            $mail = new PHPMailer;
            $mail->CharSet = "UTF-8";
            //$mail->SMTPDebug = 3;
            if (!$verifypeer) {
                $mail->SMTPOptions = array(
                    'ssl' => array(
                        'verify_peer' => false,
                        'verify_peer_name' => false,
                        'allow_self_signed' => true
                    )
                );
            }
            if ($forcesmtp) {
                $mail->isSMTP();
            }
            $mail->Host = $host;
            $mail->Port = $port;
            $mail->SMTPAuth = $smtpauth;
            $mail->Username = $login;
            $mail->Password = $password;
            $mail->SMTPSecure = $smtpsecure;
            $mail->setFrom($username); // bounce to
            $mail->ClearReplyTos();
            $mail->AddReplyTo($replytomail, $replytoname);
            $mail->From = Settings::$subscribeEmailAddressFrom;
            $mail->FromName = Settings::$subscribeEmailDescriptionFrom;
            $mail->addAddress($recipientmail);
            $mail->isHTML(true);
            $mail->Subject = $subscribeEmailTitle;
            $mail->Body    = "<!DOCTYPE html><html><head><title></title></head><body>".stripslashes($subscribeEmailMessage)."</body>";
            //$mail->AltBody = $message_txt;
            $mail->send();
            
        } else {
            // SMTP not exists, send using PHP mail()
            @mail($recipientmail, $subscribeEmailTitle, $subscribeEmailMessage, $header);
        }
    }
    
    
    
    

} else {
    // or just add a subscriber do the database
    $sql = "
        INSERT INTO m_recipient (
            person,
            email,
            comment
        ) VALUES (
            :recipientname,
            :recipientmail,
            :recipientcomment
        )
    ";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':recipientname', $recipientname, PDO::PARAM_STR);
    $stmt->bindParam(':recipientmail', $recipientmail, PDO::PARAM_STR);
    $stmt->bindParam(':recipientcomment', $recipientcomment, PDO::PARAM_STR);
    $stmt->execute();

    if ($tags != '') {
        $tags = $app->clearSQL($tags);
        $tags = explode(",", $tags);
        $id = $db->lastInsertId();
        foreach ($tags as $tag) {
            $stmt = $db->prepare(" select id from m_recipient_tag where name=? ");
            $stmt->bindParam(1, $tag, PDO::PARAM_INT);
            $stmt->execute();
            $row = $stmt->fetchAll();
            $data = $row[0];
            $id_tag = $data['id'];

            if ($id_tag) {
                $sql = "
                    INSERT INTO m_recipient_tag_conn (
                        id_recipient,
                        id_tag
                    ) VALUES (
                        :id_recipient,
                        :id_tag
                    )
                ";
                $stmt = $db->prepare($sql);
                $stmt->bindParam(':id_recipient', $id, PDO::PARAM_STR);    
                $stmt->bindParam(':id_tag', $id_tag, PDO::PARAM_STR);
                $stmt->execute();
            }
        }
    }
    
    // notify admin if needed
    if (Settings::$adminSubscribtionNotify == '1' && Settings::$adminMail != '')  {
        
        // Define the main headers.
        $header = "MIME-Version: 1.0".$eol;
        $header .= "Content-type: text/html; charset=UTF-8".$eol;
        $header .= "From: E-mailer system <".Settings::$subscribeEmailAddressFrom.">".$eol;
        $adminEmailMessage = base64_decode(Settings::$adminEmailMessage);
        $adminEmailMessage = str_replace('{SUBSCRIBER_EMAIL}', $recipientmail, $adminEmailMessage);
        $adminEmailMessage = str_replace('{SUBSCRIBER_NAME}', $recipientname, $adminEmailMessage);
        $adminEmailMessage = str_replace('{SUBSCRIBER_COMMENT}', $recipientcomment, $adminEmailMessage);
        $adminEmailMessage = str_replace('{SUBSCRIBER_TAGS}', $tags, $adminEmailMessage);
        $adminEmailMessage = str_replace('{CURRENT_YEAR}', date("Y"), $adminEmailMessage);
        $adminEmailMessage = str_replace('{CURRENT_MONTH}', date("m"), $adminEmailMessage);
        $adminEmailMessage = str_replace('{CURRENT_DAY}', date("d"), $adminEmailMessage);
        
        @mail(Settings::$adminMail, "E-mailer system", $adminEmailMessage, $header);
    }
    
    
}

// make action after filled subscribtion form

// redirect to posted url
if ($redirectto !='') {
    header("Location: ".$redirectto);
    exit();
}

//do nothing
if (Settings::$afterSubscribe == '0') {
    exit();
}

//show thx message
if (Settings::$afterSubscribe == '1') {
    echo Settings::$afterSubscribeMessage;
    exit();
}

//redirect to settings url
if (Settings::$afterSubscribe == '2') {
    header("Location: ".Settings::$afterSubscribeRedirectTo);
    exit();
}


