<?php

defined('_MAILING') or die('Restricted access');

$id_campaign = (int)($_GET['campaign']);
$campaign_name = '';
$recipient_qty = 0;
$remaining_qty = 0;
$template_name = '';
$sender_name = '';
$in_progress = false;

$stmt = $db->prepare("
    SELECT
        c.id,
        c.name,
        c.recipient_qty,
        status,
        date_create,
        (
            SELECT concat(t.name, ' ', t.subject) FROM m_template AS t WHERE t.id = c.id_template
        ) AS templatename,
        (
            SELECT concat(s.name, ' ', s.email) FROM m_sender AS s WHERE s.id = c.id_sender
        ) AS sendername
    FROM 
        m_campaign AS c
    WHERE
        id=?
");
$stmt->bindParam(1, $id_campaign, PDO::PARAM_INT);
$stmt->execute();
$row = $stmt->fetchAll();
$data = $row[0];

$campaign_name = $data['name'];
$recipient_qty = (int)$data['recipient_qty'];
$template_name = $data['templatename'];
$sender_name = $data['sendername'];

$stmt = $db->prepare("
    SELECT
        count(id_campaign) AS qty
    FROM 
        m_campaign_rec_conn
    WHERE
        id_campaign=? AND status = '0'
");
$stmt->bindParam(1, $id_campaign, PDO::PARAM_INT);
$stmt->execute();
$row = $stmt->fetchAll();
$remaining_qty = (int)$row[0]['qty'];


// when SMTP choosen
if ((int)(Settings::$useSMTP)) {
    $result = $db->query(" SELECT * FROM m_smtp ");
    $smtp_select = "<option></option>";
    foreach ($result as $row) {
        $smtp_select .= "<option value='".$row['id'].":".$row['maxlimit']."'>".$row['name']."&nbsp;-&nbsp;".$row['host']." [limit:".$row['maxlimit']."/".HOUR."]</option>";
    }
}

if ($recipient_qty - $remaining_qty) {
    $in_progress = true;
}

?>
<div class="page-title">
    <div class="title_left">
        <h3><?php echo MENU_CAMPAIGNS;?> <small>(<?php echo CAMPAIGN_CURRENT_STATUS;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo CAMPAIGN_SENT_NOW;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="form-horizontal" id="campaignForm">
                    <input type="hidden" name="csrf_token" id="csrf_token" value="<?php echo $app->getToken();?>">
                    <div class="form-group">
                        <label for="campaign_name" class="col-sm-2 control-label"><?php echo CAMPAIGN_NAME;?></label>
                            <div class="col-sm-6">
                            <input type="text" class="form-control" value="<?php echo $campaign_name; ?>" disabled>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="recipient_qty" class="col-sm-2 control-label"><?php echo CAMPAIGN_RECIPIENT_QTY;?></label>
                        <div class="col-sm-2">
                            <input type="text" class="form-control" value="<?php echo $recipient_qty; ?>" disabled>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="template_name" class="col-sm-2 control-label"><?php echo CAMPAIGN_TEMPLATE_NAME;?></label>
                        <div class="col-sm-6">
                            <input type="text" class="form-control" value="<?php echo $template_name; ?>" disabled>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="sender_name" class="col-sm-2 control-label"><?php echo CAMPAIGN_SENDER;?></label>
                        <div class="col-sm-6">
                            <input type="text" class="form-control" value="<?php echo $sender_name; ?>" disabled>
                        </div>
                    </div>
                    <?php
                    if ((int)(Settings::$useSMTP)) {
                    ?>
                    <div class="form-group">
                        <label for="smtpid" class="col-sm-2 control-label"><?php echo CAMPAIGN_SMTP;?></label>
                        <div class="col-sm-6">
                            <select class="form-control" name="smtpid" required>
                                <?php echo $smtp_select; ?>
                            </select>
                        </div>
                    </div>
                    <?php
                    }
                    ?>

                    <?php
                    if ($in_progress) {
                    ?>
                        <div class="form-group">
                            <label for="sender_name" class="col-sm-2 control-label"><?php echo CAMPAIGN_LEFT;?></label>
                            <div class="col-sm-2">
                                <input type="text" class="form-control" value="<?php echo $remaining_qty; ?>" disabled>
                            </div>
                        </div>
                    <?php
                    }
                    ?>
                    <div class="form-group">
                        <label for="sender_name" class="col-sm-2 control-label">&nbsp;</label>
                        <div class="col-sm-6">
                            <div class="progress">
                                <div 
                                    class="progress-bar active" 
                                    role="progressbar" 
                                    aria-valuenow="0" 
                                    aria-valuemin="0" 
                                    aria-valuemax="100" 
                                    style="width: 0%;"
                                >
                                0%
                                </div>
                            </div>
                            <div id="progres_info" class="alert-dark"></div>
                            <div id="go_to_list"><a class="btn btn-primary" href="index.php?manage=campaign&action=proceed"><?php echo MENU_CAMPAIGNS_IN_PROGRESS;?></a></div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group" id="backgroundinfo">
                        <label class="col-sm-2 control-label" for="backgroundProcess"><?php echo CAMPAIGN_BG_PROCESS;?></label>
                        <div class="col-sm-6 padding-top-checkbox">
                            <div class="pull-left col-sm-1">
                              <input 
                                type="checkbox" 
                                class="form-control flat" 
                                id="backgroundProcess" 
                                name="backgroundProcess"
                                >
                            </div>
                            <div class="pull-right col-sm-11">
                              <?php echo CAMPAIGN_BG_PROCESS_INFO;?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group" id="admininfo">
                        <label class="col-sm-2 control-label" for="adminNotification"><?php echo CAMPAIGN_WHEN_FINISH;?></label>
                        <div class="col-sm-6">
                            <div class="pull-left col-sm-1 padding-top-checkbox">
                              <input 
                                type="checkbox" 
                                class="form-control flat" 
                                id="adminNotification" 
                                name="adminNotification"
                                value="1"
                                >&nbsp;
                            </div>
                            <div class="pull-right col-sm-11">
                              <input 
                                type="email"
                                class="form-control"
                                id="emailToAdmin" 
                                name="emailToAdmin" 
                                value="<?php echo Settings::$adminMail;?>"
                                placeholder="<?php echo CAMPAIGN_EMAIL_FIN_PLACEHOLDER;?>"
                                >
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label for="confirm" class="col-sm-2 control-label"></label>
                        <div class="col-sm-6">
                            <button type="submit" class="btn btn-primary" id="startCampaign"><?php echo $in_progress ? CAMPAIGN_RESUME_BUTTON : CAMPAIGN_SENT_BUTTON;?></button>
                            <a href="index.php?manage=campaign&action=start&campaign=<?php echo $id_campaign; ?>" class="btn btn-default" id="stopCampaign" style="display:none;"><?php echo CANCEL;?></a>
                            <a href="index.php?manage=campaign&action=sent" class="btn btn-primary" id="listCampaign" style="display:none;"><?php echo CLOSE;?></a>
                        </div>
                    </div>
                    <p>&nbsp;</p>
                </div>
            </div>
        </div>
    </div>
</div>
<link href="production/css/bootstrap.min.css" rel="stylesheet">
<link href="production/css/custom.css" rel="stylesheet">
<link href="production/css/icheck/flat/green.css" rel="stylesheet">
<style>
    .padding-top-checkbox{
        padding-top:8px;
    }
    div#admininfo{
        display:none;
    }
    div#go_to_list{
        display:none;
    }
</style>
<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script>
    if ($("input.flat")[0]) {
        $(document).ready(function () {
            $('input.flat').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass: 'iradio_flat-green'
            });
        });
    }
</script>
<script>

        var step2 = 0;
        var valeur = 0;
        var myInterval;
        
$(document).ready(function() {
    
    $('div#campaignForm.form-horizontal div#backgroundinfo.form-group label.col-sm-2.control-label, div#campaignForm.form-horizontal div#backgroundinfo.form-group div.col-sm-6.padding-top-checkbox div.pull-left.col-sm-1 div.icheckbox_flat-green ins.iCheck-helper').click(function(){
        if ($('#backgroundProcess').parent().hasClass('checked')){
            $('#admininfo').css({display : 'block'});
        } else {
            $('#admininfo').css({display : 'none'});
        }
    });
    
    $('#startCampaign').click(function() {
        var smtpid = '';
        var useSMTP = <?php echo Settings::$useSMTP; ?>;
        if (useSMTP == 1) {
            var smtpVal = ($('select[name=smtpid]').val()).split(":");
            var smtpid = smtpVal[0];
            var time_interval = (60 * 60 * 1000) / parseInt(smtpVal[1]);
        } else {
            var time_interval = (60 * 60 * 1000) / <?php echo Settings::$limitPerHour;?>;
        }
        var csrf_token = $('#csrf_token').val();
        var totalRecipients = parseInt(<?php echo $remaining_qty;?>);
        var step = 100 / totalRecipients;
        
        if (smtpid == '' && useSMTP == 1) {
            alert('<?php echo CAMPAIGN_SMTP;?>');
        } else {
            if ($('#backgroundProcess').is(':checked')){
                if (confirm('<?php echo CAMPAIGN_BG_CONFIRM_TXT;?>')){
                    send_email_background(<?php echo $id_campaign; ?>, csrf_token, smtpid);
                    //$('#progres_info').html('<?php echo CAMPAIGN_SERVER_CONNECTING;?>');
                    $('#go_to_list').css({display: 'block'});
                    $('#startCampaign').css({display: 'none'});
                }
            } else {
                $(this).addClass('disabled');
                $('#progres_info').html('<?php echo CAMPAIGN_SERVER_CONNECTING;?>');
                $('#stopCampaign').css({ display : 'block' });
                $('#startCampaign').css({ display : 'none' });
                myInterval = setInterval(function () {
                    send_email(<?php echo $id_campaign; ?>, totalRecipients, csrf_token, smtpid, step);
                },time_interval);
            }
        }
    });
});

$('#stopCampaign').click(function() {
    stop_sending();
    $.ajax({
        type : 'POST',
        url : 'index.php?manage=campaign&adata=modify&action=stop.ajax',
        async: true,
        data: {
            id_campaign : '<?php echo $id_campaign; ?>',
            adata : '1'
        },
        success: function(response) {
            if (response.indexOf('Error') > -1){
                $('#progres_info').html(response);
                alert(response);
            } else {
                location.href="index.php?manage=campaign&action=proceed";
            }
        }
    });
    location.reload();
});

function send_email_background(id_campaign, csrf_token, smtpid) {
    var emailToAdmin = $('#emailToAdmin').val();
    var adminNotify = $('#adminNotification').is(':checked') ? 1 : 0 ;
    
    $.ajax({
        type : 'POST',
        url : 'index.php?manage=campaign&adata=modify&action=run.background',
        async: true,
        data: {
            id_campaign : id_campaign,
            adata : '1',
            csrf_token : csrf_token,
            smtpid : smtpid,
            email_admin : emailToAdmin,
            notify_admin : adminNotify
        },
        success: function(response) {
            if (response.indexOf('Error') > -1){
                $('#progres_info').html(response);
                alert(response);
            } else {
                location.href="index.php?manage=campaign&action=proceed";
            }
        }
    });
}

function send_email(id_campaign, totalRecipients, csrf_token, smtpid, step) {
    
    $.ajax({
        type : 'POST',
        url : 'index.php?manage=campaign&adata=modify&action=run',
        async: true,
        data: {
            id_campaign : id_campaign,
            adata : '1',
            csrf_token : csrf_token,
            smtpid : smtpid
        },
        success: function(response) {
            step2 ++;
            valeur = valeur + step;
            
            if (response.indexOf('Error') > -1){
                console.log(response);
            } else {
                if (response == 'stop') {
                    stop_sending();
                    progress_belt('100');
                    koniec(step2 - 1);
                } else {
                    progress_belt(valeur);
                    $('#progres_info').html('<?php echo CAMPAIGN_SENDING;?> (' + step2 + '/' + totalRecipients + '), <?php echo CAMPAIGN_PLEASE_WAIT;?>');
                }
            }
            if (step2 == totalRecipients){
                stop_sending();
                progress_belt('100');
                koniec(step2 - 1);
            }
            
        }
    });
}

function progress_belt(valeur) {
    valeur = Math.floor(valeur);
    $('.progress-bar').css('width', valeur+'%').attr('aria-valuenow', valeur).html(valeur + '%');  
}

function stop_sending() {
    clearInterval(myInterval);
}

function koniec(step2) {
    stop_sending();
    $('#progres_info').html('<?php echo CAMPAIGN_SENT;?> ' + step2 + ' ');
    $('#listCampaign').css({ display : 'block' });
    $('#stopCampaign').css({ display : 'none' });
    csrf_token = $('#csrf_token').val();
    $.ajax({
        type : 'POST',
        url : 'index.php?manage=campaign&adata=modify&action=finish',
        async: true,
        data: {
            id_campaign : '<?php echo $id_campaign; ?>',
            adata : '1',
            csrf_token : csrf_token
        },
            success: function() {
        }
    });
}
</script>
