<?php

defined('_MAILING') or die('Restricted access');

$languageFiles = Array();

if (!$scanned_folder = @scandir($_SERVER['DOCUMENT_ROOT'] . dirname($_SERVER['SCRIPT_NAME']) . '/languages/')) {
    echo "Failed to open this directory. ".error_get_last(); 
} else {
    foreach ($scanned_folder as $file) {
        $fileName = explode(".", $file);
        if ($fileName[1] == 'php') {
            array_push($languageFiles, $fileName[0]);
        }
    }
}

$optionLanguages = '';

foreach ($languageFiles as $currLang) {
    $optionLanguages .= "<option value='".$currLang."'".(Settings::$systemLanguage == $currLang ? ' selected="selected"' : '').">".$currLang."</option>";
}

?>
<div class="page-title">
    <div class="title_left">
        <h3><?php echo MENU_SYSTEM_CONFIGURATION;?> <small>(<?php echo MENU_SYSTEM_PARAMS;?>)</small></h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2><?php echo SETTINGS_GLOBAL;?></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form class="form-horizontal" method="post" action="index.php?manage=settings&action=system.update">
                    <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                    <?php 
                    if (! $fileSettingsWittable) {
                    ?>
                        <div class="alert alert-danger" role="alert">
                            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                            <span class="sr-only">Error:</span>
                            <b>WARNING!</b> file '<b>configuration.php</b>' is not writtable. Settings will not be saved. Change file permissions before saving.
                        </div>
                    <?php
                    }
                    ?>
                    <input type="hidden" name="adata" value="1">
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="language"><?php echo SENDING_METHOD;?></label>
                        <div class="col-sm-6">
                            <div class="radio">
                                <label class="">
                                <div class="iradio_flat-green" style="position: relative;">
                                    <input value="1" type="radio" name="smtp" class="flat" style="position: absolute; opacity: 0;" <?php echo Settings::$useSMTP == '1' ? 'checked="checked"' : ''; ?>><ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255) none repeat scroll 0% 0%; border: 0px none; opacity: 0;"></ins>
                                </div> <?php echo SMTP_SERVER_DESCRIPTION;?>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="language"></label>
                        <div class="col-sm-4">
                            <div class="radio">
                                <label class="">
                                <div class="iradio_flat-green" style="position: relative;">
                                    <input value="0" type="radio" name="smtp" class="flat" style="position: absolute; opacity: 0;" <?php echo Settings::$useSMTP == '0' ? 'checked="checked"' : ''; ?>><ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255) none repeat scroll 0% 0%; border: 0px none; opacity: 0;"></ins></div> PHP mail(). <?php echo SETTINGS_LIMIT;?>
                                </label>
                            </div>
                        </div>
                        <div class="col-sm-2">
                          <input 
                            type="number"
                            class="form-control" 
                            id="limit" 
                            name="limit" 
                            placeholder="<?php echo SETTINGS_LIMIT_PLACEHOLDER;?>" 
                            value="<?php echo Settings::$limitPerHour; ?>" 
                            required
                            >
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="language"><?php echo SETTINGS_LANG;?></label>
                        <div class="col-sm-6">
                            <select name="language" class="form-control" id="language">
                                <?php echo $optionLanguages;?>
                            </select>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="tracking"><?php echo SETTINGS_TRACKING;?></label>
                        <div class="col-sm-8">
                          <input 
                            type="checkbox" 
                            class="form-control flat" 
                            id="tracking" 
                            name="tracking"
                            <?php echo Settings::$enableTracking == '1' ? 'checked="checked"' : ''; ?>
                            >&nbsp;<?php echo SETTINGS_TRACK_INFO;?>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="deleteunsubscribed"><?php echo SETTINGS_UNSUBSCRIBED;?></label>
                        <div class="col-sm-8">
                          <input 
                            type="checkbox" 
                            class="form-control flat" 
                            id="deleteunsubscribed" 
                            name="deleteunsubscribed"
                            <?php echo Settings::$deleteUnsubscribed == '1' ? 'checked="checked"' : ''; ?>
                            >&nbsp;<?php echo SETTINGS_UNS_INFO;?>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="googleMapsApiKey"><?php echo SETTINGS_API_LABEL;?></label>
                        <div class="col-sm-6">
                          <input 
                            type="text" 
                            class="form-control" 
                            id="googleMapsApiKey" 
                            name="googleMapsApiKey"
                            value = "<?php echo DEMO_MODE ? "" : Settings::$googleMapsApiKey; ?>"
                            placeholder="<?php echo SETTINGS_API_PLACEHOLDER;?>"
                            >
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">&nbsp;</label>
                        <div class="col-sm-6">
                            <p><a class="btn btn-success" href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank"><?php echo SETTINGS_API_LINK_INFO;?></a></p>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="adminMail"><?php echo SETTINGS_ADMIN_MAIL;?></label>
                        <div class="col-sm-6">
                          <input 
                            type="email" 
                            class="form-control" 
                            id="adminMail" 
                            name="adminMail"
                            value = "<?php echo Settings::$adminMail; ?>"
                            placeholder="<?php echo SETTINGS_ADMIN_MAIL_PLACEHOLDER;?>"
                            >
                        </div>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="phpTimeOutLimit"><?php echo SETTINGS_PHP_TIMEOUT;?></label>
                        <div class="col-sm-6">
                          <input 
                            type="number" 
                            class="form-control" 
                            id="phpTimeOutLimit" 
                            name="phpTimeOutLimit"
                            value = "<?php echo Settings::$phpTimeOutLimit; ?>"
                            >
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-2">
                          <button type="submit" class="btn btn-primary"><?php echo SAVE; ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<link href="production/css/bootstrap.min.css" rel="stylesheet">
<link href="production/css/custom.css" rel="stylesheet">
<link href="production/css/icheck/flat/green.css" rel="stylesheet">
<script src="production/js/bootstrap.min.js"></script>
<script src="production/js/icheck/icheck.min.js"></script>
<script>
    if ($("input.flat")[0]) {
        $(document).ready(function () {
            $('input.flat').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass: 'iradio_flat-green'
            });
        });
    }
</script>