<?php

define('_MAILING', 1); 
$notables = false;
session_start();

include("configuration.php");
include("php/class.emailer.php");

$app = new Emailer();
$app->loadLanguage();
if ($app->login) {
    $app->login(); 
}

if (isset($_GET['e'])) {
    $db_error ='
    <div class="alert alert-danger" role="alert">
    <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
    <span class="sr-only">Error:</span>
    <b>WARNING!</b> '.$_SESSION['e'].'
    </div>
    ';
} else {
    $db_error = '';
}

if (isset($_POST['adding-tables'])) {
    
    $app->checkToken();

    include("php/db_connector.php");
    
    /**
     * status:
     * 0 - prepared
     * 1 - during AJAX sending
     * 2 - finished
     * 3 - during background sending
     * 4 - stopped
     */
    $db->query("
        CREATE TABLE IF NOT EXISTS m_campaign (
            id int(11) NOT NULL AUTO_INCREMENT,
            name varchar(1024) NOT NULL DEFAULT '',
            recipient_qty int(11) NOT NULL DEFAULT '0',
            id_template int(11) NOT NULL DEFAULT '0',
            id_sender int(11) NOT NULL DEFAULT '0',
            status int(11) NOT NULL DEFAULT '0',
            date_create timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
            date_start timestamp NOT NULL DEFAULT '2000-01-01 00:00:01',
            PRIMARY KEY (id)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    
    /**
     * status:
     * 0 - prepared
     * 1 - sent
     * 2 - opened
     * 3 - unsubscribed
     * 4 - not valid email address
     */
    $db->query("
        CREATE TABLE IF NOT EXISTS m_campaign_rec_conn (
            id_campaign int(11) NOT NULL DEFAULT '0',
            id_recipient int(11) NOT NULL DEFAULT '0',
            date_sent timestamp NOT NULL DEFAULT '2000-01-01 00:00:01',
            status int(11) NOT NULL DEFAULT '0',
            bounced int(1) NOT NULL DEFAULT '0',
            rule_cat varchar(32) NOT NULL DEFAULT '',
            clicked int(11) NOT NULL DEFAULT '0',
            ip_receiver varchar(48) NOT NULL DEFAULT ''
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_recipient (
            id int(11) NOT NULL AUTO_INCREMENT,
            date_create timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
            date_modify timestamp NOT NULL DEFAULT '2000-01-01 00:00:01',
            person varchar(1024) NOT NULL DEFAULT '',
            email varchar(64) NOT NULL DEFAULT '',
            tag varchar(256) NOT NULL DEFAULT '',
            comment varchar(1024) NOT NULL DEFAULT '',
            txt_only int(1) NOT NULL DEFAULT '0',
            PRIMARY KEY (id),
            UNIQUE KEY email_2 (email),
            KEY email (email)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_recipient_tag (
            id int(11) NOT NULL AUTO_INCREMENT,
            name varchar(48) NOT NULL DEFAULT '',
            description varchar(1024) NOT NULL DEFAULT '',
            PRIMARY KEY (id)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_recipient_tag_conn (
            id_recipient int(11) NOT NULL DEFAULT '0',
            id_tag int(11) NOT NULL DEFAULT '0'
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_sender (
            id int(11) NOT NULL AUTO_INCREMENT,
            name varchar(128) NOT NULL DEFAULT '',
            email varchar(128) NOT NULL DEFAULT '',
            PRIMARY KEY (id)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_template (
            id int(11) NOT NULL AUTO_INCREMENT,
            date_create timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
            date_modify timestamp NOT NULL DEFAULT '2000-01-01 00:00:01',
            name varchar(1024) NOT NULL DEFAULT '',
            subject varchar(1024) NOT NULL DEFAULT '',
            content_html text NOT NULL,
            content_txt text NOT NULL,
            thumb_filename VARCHAR(128) NOT NULL DEFAULT 'no-picture.png',
            PRIMARY KEY (id)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_template_att (
            id int(11) NOT NULL AUTO_INCREMENT,
            filename varchar(1024) NOT NULL DEFAULT '',
            date_upload timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
            PRIMARY KEY (id)
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_template_att_conn (
            id_template int(11) NOT NULL DEFAULT '0',
            id_att int(11) NOT NULL DEFAULT '0'
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_smtp (
            id int(11) NOT NULL AUTO_INCREMENT,
            name varchar(128) NOT NULL DEFAULT '',
            host varchar(128) NOT NULL DEFAULT '',
            smtpauth int(1) NOT NULL DEFAULT '0',
            username varchar(128) NOT NULL DEFAULT '',
            login varchar(128) NOT NULL DEFAULT '',
            password varchar(128) NOT NULL DEFAULT '',
            replytomail varchar(128) NOT NULL DEFAULT '',
            replytoname varchar(128) NOT NULL DEFAULT '',
            smtpsecure varchar(3) NOT NULL DEFAULT '',
            port int(11) NOT NULL DEFAULT '0',
            maxlimit int(11) NOT NULL DEFAULT '0',
            verifypeer int(1) NOT NULL DEFAULT '0',
            forcesmtp int(1) NOT NULL DEFAULT '0',
            bmh_server varchar(128) NOT NULL DEFAULT '',
            bmh_port int(11) NOT NULL DEFAULT '0',
            bmh_service varchar(128) NOT NULL DEFAULT '',
            bmh_soption varchar(128) NOT NULL DEFAULT '',
            bmh_folder varchar(128) NOT NULL DEFAULT '',
            PRIMARY KEY (id)
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_geolocation (
            ip_receiver varchar(48) NOT NULL DEFAULT '',
            user_agent varchar(128) NOT NULL DEFAULT '',
            city varchar(48) NOT NULL DEFAULT '',
            region varchar(48) NOT NULL DEFAULT '',
            country_code varchar(12) NOT NULL DEFAULT '',
            country_name varchar(48) NOT NULL DEFAULT '',
            continent_code varchar(12) NOT NULL DEFAULT '',
            latitude varchar(12) NOT NULL DEFAULT '',
            longitude varchar(12) NOT NULL DEFAULT '',
            region_code varchar(12) NOT NULL DEFAULT '',
            region_name varchar(48) NOT NULL DEFAULT '',
            currency_code varchar(12) NOT NULL DEFAULT '',
            PRIMARY KEY (ip_receiver)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
    ");
    $db->query("
        CREATE TABLE IF NOT EXISTS m_template_thumb (
            id INT(11) NOT NULL AUTO_INCREMENT,
            filename VARCHAR(128) NOT NULL DEFAULT 'no-picture.png',
            PRIMARY KEY (id)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
    ");
    ?><script> location.href = 'index.php'; </script><?php
}

if (isset($_POST['adata'])) {
    
    $app->checkToken();
    
    $db_host = $_POST['db_host'];
    $db_user = $_POST['db_user'];
    $db_pass = $_POST['db_pass'];
    $db_name = $_POST['db_name'];
    $app->changeSetting('dbHost', $db_host);
    $app->changeSetting('dbUser', $db_user);
    $app->changeSetting('dbPassword', $db_pass);
    $app->changeSetting('dbName', $db_name);
    ?><script> location.href = 'install.php?checkdb'; </script><?php
}

if (isset($_GET['checkdb'])) {
    include("php/db_connector.php");
    $stmt = $db->query(" show tables like 'm_recipient' ");
    $stmt->execute();
    $row = $stmt->fetchAll();
    if (count($row) == 0) {
        $notables = true;
    }else{
        ?><script> location.href = 'index.php'; </script><?php
    }
}


$fileSettings = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['SCRIPT_NAME']).DIRECTORY_SEPARATOR.'configuration.php';

if (is_writable($fileSettings)) {
    $fileSettingsWittable = true;
} else {
    $fileSettingsWittable = false;
}

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title><?php echo INSTALLING_SYSTEM;?></title>
        <link href="production/css/bootstrap.min.css" rel="stylesheet">
        <style>
        body{width:900px; margin:auto;}
        </style>
    </head>
    <body>
        <div class="page-title">
            <div class="title_left">
                <h3><?php echo INSTALLING_SYSTEM;?> <small>(<?php echo MENU_DB;?>)</small></h3>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <h2><?php echo SETTINGS_DB_PARAMS;?></h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                    <form class="form-horizontal" method="post" action="install.php">
                        <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                        <?php
                        if (!$fileSettingsWittable) {
                        ?>
                            <div class="alert alert-danger" role="alert">
                                <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                <span class="sr-only">Error:</span>
                                <b>WARNING!</b> file '<b>configuration.php</b>' is not writtable. Settings will not be saved. Change file permissions before saving.
                            </div>
                        <?php
                        }
                        ?>
                        <input type="hidden" name="adata" value="1">
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="db_host"><?php echo SETTINGS_DB_HOST;?></label>
                            <div class="col-sm-2">
                                <input 
                                    type="text" 
                                    class="form-control" 
                                    id="db_host" 
                                    name="db_host" 
                                    placeholder="<?php echo SETTINGS_DB_HOST_PLACEHOLDER;?>" 
                                    value="<?php echo Settings::$dbHost; ?>" 
                                    required
                                >
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="db_user"><?php echo SETTINGS_DB_USER;?></label>
                            <div class="col-sm-2">
                                <input 
                                    type="text" 
                                    class="form-control" 
                                    id="db_user" 
                                    name="db_user" 
                                    placeholder="<?php echo SETTINGS_DB_USER_PLACEHOLDER;?>" 
                                    value="<?php echo Settings::$dbUser; ?>"
                                    required
                                >
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="db_pass"><?php echo SETTINGS_DB_PASSWORD;?></label>
                            <div class="col-sm-2">
                                <input 
                                    type="text" 
                                    class="form-control" 
                                    id="db_pass" 
                                    name="db_pass"
                                    value="<?php echo Settings::$dbPassword; ?>"
                                >
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="db_name"><?php echo SETTINGS_DB_NAME;?></label>
                            <div class="col-sm-2">
                                <input 
                                    type="text" 
                                    class="form-control" 
                                    id="db_name" 
                                    name="db_name" 
                                    placeholder="<?php echo SETTINGS_DB_NAME_PLACEHOLDER;?>" 
                                    value="<?php echo Settings::$dbName; ?>"
                                    required
                                >
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-2">
                                <button type="submit" class="btn btn-<?php echo $notables ? 'default' : 'primary'; ?>"><?php echo SAVE; ?></button>
                            </div>
                        </div>
                        <?php echo $db_error;?>
                    </form>
                    <?php
                    if ($notables) {
                    ?>
                        <form class="form-horizontal" method="post" action="install.php">
                            <input type="hidden" name="csrf_token" value="<?php echo $app->getToken();?>">
                            <input type="hidden" name="adding-tables" value="1">
                            <h2><?php echo INSTALLING_CONNECTED;?></h2>
                            <div class="form-group">
                                <label class="col-sm-2 control-label"><?php echo INSTALLING_ADD_TABLES;?></label>
                                <div class="col-sm-2">
                                    <button type="submit" class="btn btn-primary"><?php echo INSTALLING_ADD_TABLES_DESC;?></button>
                                </div>
                            </div>
                        </form>
                    <?php
                    }
                    ?>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>